namespace CMSMicroservice.Application.ProductGalleriesCQ.Commands.UpdateProductGalleries;
public class UpdateProductGallerysCommandValidator : AbstractValidator<UpdateProductGalleriesCommand>
{
    public UpdateProductGallerysCommandValidator()
    {
        RuleFor(model => model.Id)
            .NotNull();
        RuleFor(model => model.ProductImageId)
            .NotNull();
        RuleFor(model => model.ProductId)
            .NotNull();
    }
    public Func<object, string, Task<IEnumerable<string>>> ValidateValue => async (model, propertyName) =>
    {
        var result = await ValidateAsync(ValidationContext<UpdateProductGalleriesCommand>.CreateWithOptions((UpdateProductGalleriesCommand)model, x => x.IncludeProperties(propertyName)));
        if (result.IsValid)
            return Array.Empty<string>();
        return result.Errors.Select(e => e.ErrorMessage);
    };
}
